Name:           mediawiki-StubManager
Version:        1.2.0
Release:        1%{?dist}
Summary:        An extension meant to address 'rare events' handling

Group:          Development/Tools
License:        PHP
URL:            http://www.mediawiki.org/wiki/Extension:StubManager
Source0:        http://mediawiki.googlecode.com/svn/tags/StubManager/StubManager-%{version}.tgz
Source1:        http://www.php.net/license/3_01.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  mediawiki
Requires:       mediawiki >= 1.10

%description
This extension is meant to address 'rare events' handling through class object
'stubs'. For infrequent events (of course this is relative!), use this
extension to instantiate a 'stub object' for the required hooks. The net effect
is lower transaction times thereby speeding up MediaWiki based sites.
 * Handles 'hook' registration (e.g. ArticleSave, UserCan etc.)
 * Handles 'parser function' registration (e.g. {{ #magicword: ... }} )
 * Handles 'parser magic word' registration
 * Handles 'parser tag' registration (e.g. < tag> )
 * Handles extensions which implement logging functionality
 * Handles 'namespace triggering' & 'namespace exclusion' and reduces even
   further the load time per transaction
This extension is meant for 'extension writers'.


%prep
%setup -q -n StubManager-1.2.0
cp %{SOURCE1} LICENSE
echo 'To complete installation of %{name}, add the following line to LocalSettings.php:

  require_once "$IP/extensions/StubManager/StubManager.php";

for each MediaWiki instance you wish to install %{name} on.' > README.fedora


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/StubManager
install -cpm 644 StubManager.doc.wikitext StubManager.php $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/StubManager

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/StubManager
%doc LICENSE README.fedora



%changelog
* Thu Mar 27 2008 Ian Weller <ianweller@gmail.com> 1.2.0-1
- Initial package build.
